### Enumeration

# Qmi WdsSetEventReportTransferStatistics

since: 1.18

#### Declaration

    flags Qmi.WdsSetEventReportTransferStatistics

#### Description [src]

Flags indicating which WDS Set Event Report Transfer Statistics indicators should be emitted.

Available since: 1.18

#### Members

`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_TX_PACKETS_OK`

  Report TX packet successes.

  - Value: `1`
  - Available since: 1.18
`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_RX_PACKETS_OK`

  Report RX packet successes.

  - Value: `2`
  - Available since: 1.18
`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_TX_PACKETS_ERROR`

  Report TX packet errors.

  - Value: `4`
  - Available since: 1.18
`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_RX_PACKETS_ERROR`

  Report RX packet errors.

  - Value: `8`
  - Available since: 1.18
`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_TX_OVERFLOWS`

  Report TX overflows.

  - Value: `16`
  - Available since: 1.18
`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_RX_OVERFLOWS`

  Report RX overflows.

  - Value: `32`
  - Available since: 1.18
`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_TX_BYTES_OK`

  Report TX byte total.

  - Value: `64`
  - Available since: 1.18
`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_RX_BYTES_OK`

  Report RX byte total.

  - Value: `128`
  - Available since: 1.18
`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_TX_PACKETS_DROPPED`

  Report TX packets dropped.

  - Value: `256`
  - Available since: 1.18
`QMI_WDS_SET_EVENT_REPORT_TRANSFER_STATISTICS_REPORT_RX_PACKETS_DROPPED`

  Report RX packets dropped.

  - Value: `512`
  - Available since: 1.18

#### Type functions

###### qmi_wds_set_event_report_transfer_statistics_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiWdsSetEventReportTransferStatistics` in `mask`.

since: 1.18